nix3-nar(1)

    Warning
    This program is experimental and its interface is subject to change.

Name

nix nar - create or inspect NAR files

Synopsis

nix nar [option…] subcommand

where subcommand is one of the following:

•   nix nar cat - print the contents of a file inside a NAR file on stdout

•   nix nar dump-path - serialise a path to stdout in NAR format

•   nix nar ls - show information about a path inside a NAR file

•   nix nar pack - serialise a path to stdout in NAR format

Description

nix nar provides several subcommands for creating and inspecting Nix Archives (NARs).

File format

For the definition of the NAR file format, see Figure 5.2 in https://edolstra.github.io/pubs/phd-thesis.pdf.

Options

  Logging-related options

•   --debug

    Set the logging verbosity level to ‘debug’.

•   --log-format format

    Set the format of log output; one of raw, internal-json, bar or bar-with-logs.

•   --print-build-logs / -L

    Print full build logs on standard error.

•   --quiet

    Decrease the logging verbosity level.

•   --verbose / -v

    Increase the logging verbosity level.

  Miscellaneous global options

•   --help

    Show usage information.

•   --offline

    Disable substituters and consider all previously downloaded files up-to-date.

•   --option name value

    Set the Nix configuration setting name to value (overriding nix.conf).

•   --refresh

    Consider all previously downloaded files out-of-date.

•   --version

    Show version information.

    Note

    See man nix.conf for overriding configuration settings with command line flags.